Package org.eclipse.net4j.util.om.log

# Class RollingLog.RecoveryEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent
org.eclipse.net4j.util.om.log.RollingLog.RecoveryEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`

Enclosing class:
  `RollingLog`

public static final class RollingLog.RecoveryEvent extends RollingLog.RollingLogEvent

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`RecoveryEvent(RollingLog rollingLog, Properties properties, RollingLog.LogLine logLine)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`formatAdditionalParameters()`
`RollingLog.LogLine`
`getLogLine()`
`String`
`getProperty(String key)`
`void`
`setProperty(String key, String value)`

### Methods inherited from class org.eclipse.net4j.util.om.log.RollingLog.RollingLogEvent

`getSource`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RecoveryEvent

public RecoveryEvent(RollingLog rollingLog, Properties properties, RollingLog.LogLine logLine)

## Method Details

### getProperty

public String getProperty(String key)

### setProperty

public void setProperty(String key, String value)

### getLogLine

public RollingLog.LogLine getLogLine()

### formatAdditionalParameters

protected String formatAdditionalParameters()

Overrides:
  `formatAdditionalParameters` in class `Event`